# MemberRepositoryIntegrationTest

4 tests | 0 failures | 0 ignored | 0.625s duration

100%

successful

- Tests
- Standard output

## Tests

Test | Method name | Duration | Result
--- | --- | --- | ---
회원 삭제 테스트 | givenExistingMember_whenDelete_thenCannotFind() | 0.081s | passed
회원 정보 업데이트 테스트 | givenExistingMember_whenUpdateInfo_thenSuccess() | 0.178s | passed
회원 저장 및 조회 테스트 | givenMemberEntity_whenSave_thenFindByUserId() | 0.341s | passed
존재하지 않는 회원 조회 테스트 | givenNonExistentUserId_whenFindByUserId_thenReturnEmpty() | 0.025s | passed

## Standard output

    2025-02-14T23:45:43.930+09:00  INFO 99945 --- [member-service-test] [    Test worker] t.c.s.AnnotationConfigContextLoaderUtils : Could not detect default configuration classes for test class [com.unicorn.lifesub.member.test.integration.repository.MemberRepositoryIntegrationTest]: MemberRepositoryIntegrationTest does not declare any static, non-private, non-final, nested classes annotated with @Configuration.
    2025-02-14T23:45:44.293+09:00  INFO 99945 --- [member-service-test] [    Test worker] .b.t.c.SpringBootTestContextBootstrapper : Found @SpringBootConfiguration com.unicorn.lifesub.member.MemberApplication for test class com.unicorn.lifesub.member.test.integration.repository.MemberRepositoryIntegrationTest
    2025-02-14T23:45:44.315+09:00  INFO 99945 --- [member-service-test] [    Test worker] tc.postgres:13.2-alpine                  : Creating container for image: postgres:13.2-alpine
    2025-02-14T23:45:44.451+09:00  INFO 99945 --- [member-service-test] [    Test worker] tc.postgres:13.2-alpine                  : Container postgres:13.2-alpine is starting: 6b79d075221360d24585825bd669f3f2099a36a70cc40b3b166e8fb6762cc3e9
    2025-02-14T23:45:46.654+09:00  INFO 99945 --- [member-service-test] [    Test worker] tc.postgres:13.2-alpine                  : Container postgres:13.2-alpine started in PT2.338311S
    2025-02-14T23:45:46.673+09:00  INFO 99945 --- [member-service-test] [    Test worker] tc.postgres:13.2-alpine                  : Container is started (JDBC URL: jdbc:postgresql://localhost:58666/member?loggerLevel=OFF)

      .   ____          _            __ _ _
     /\\ / ___'_ __ _ _(_)_ __  __ _ \ \ \ \
    ( ( )\___ | '_ | '_| | '_ \/ _` | \ \ \ \
     \\/  ___)| |_)| | | | | || (_| |  ) ) ) )
      '  |____| .__|_| |_|_| |_\__, | / / / /
     =========|_|==============|___/=/_/_/_/

     :: Spring Boot ::                (v3.4.0)

    2025-02-14T23:45:47.048+09:00  INFO 99945 --- [member-service-test] [    Test worker] .m.t.i.r.MemberRepositoryIntegrationTest : Starting MemberRepositoryIntegrationTest using Java 18.0.2 with PID 99945 (started by ondal in /Users/ondal/home/workspace/lifesub/member)
    2025-02-14T23:45:47.050+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] .m.t.i.r.MemberRepositoryIntegrationTest : Running with Spring Boot v3.4.0, Spring v6.2.0
    2025-02-14T23:45:47.058+09:00  INFO 99945 --- [member-service-test] [    Test worker] .m.t.i.r.MemberRepositoryIntegrationTest : The following 1 profile is active: "integration-test"
    2025-02-14T23:45:48.793+09:00  INFO 99945 --- [member-service-test] [    Test worker] .s.d.r.c.RepositoryConfigurationDelegate : Bootstrapping Spring Data JPA repositories in DEFAULT mode.
    2025-02-14T23:45:48.950+09:00  INFO 99945 --- [member-service-test] [    Test worker] .s.d.r.c.RepositoryConfigurationDelegate : Finished Spring Data repository scanning in 107 ms. Found 1 JPA repository interface.
    2025-02-14T23:45:49.932+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.hibernate.jpa.internal.util.LogHelper  : HHH000204: Processing PersistenceUnitInfo [name: default]
    2025-02-14T23:45:49.958+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.h.c.internal.RegionFactoryInitiator    : HHH000026: Second-level cache disabled
    2025-02-14T23:45:50.150+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.o.j.p.SpringPersistenceUnitInfo      : No LoadTimeWeaver setup: ignoring JPA class transformer
    2025-02-14T23:45:50.161+09:00  INFO 99945 --- [member-service-test] [    Test worker] com.zaxxer.hikari.HikariDataSource       : HikariPool-2 - Starting...
    2025-02-14T23:45:50.266+09:00  INFO 99945 --- [member-service-test] [    Test worker] com.zaxxer.hikari.pool.HikariPool        : HikariPool-2 - Added connection org.postgresql.jdbc.PgConnection@54210bb8
    2025-02-14T23:45:50.272+09:00  INFO 99945 --- [member-service-test] [    Test worker] com.zaxxer.hikari.HikariDataSource       : HikariPool-2 - Start completed.
    2025-02-14T23:45:50.290+09:00  WARN 99945 --- [member-service-test] [    Test worker] org.hibernate.orm.deprecation            : HHH90000025: PostgreSQLDialect does not need to be specified explicitly using 'hibernate.dialect' (remove the property setting and it will be selected by default)
    2025-02-14T23:45:50.300+09:00  INFO 99945 --- [member-service-test] [    Test worker] org.hibernate.orm.connections.pooling    : HHH10001005: Database info:
    	Database JDBC URL [Connecting through datasource 'HikariDataSource (HikariPool-2)']
    	Database driver: undefined/unknown
    	Database version: 13.2
    	Autocommit mode: undefined/unknown
    	Isolation level: undefined/unknown
    	Minimum pool size: undefined/unknown
    	Maximum pool size: undefined/unknown
    2025-02-14T23:45:50.938+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.h.e.t.j.p.i.JtaPlatformInitiator       : HHH000489: No JTA platform available (set 'hibernate.transaction.jta.platform' to enable JTA platform integration)
    2025-02-14T23:45:51.157+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        create table member_roles (
            user_id varchar(255) not null,
            role varchar(255)
        )
    Hibernate:
        create table member_roles (
            user_id varchar(255) not null,
            role varchar(255)
        )
    2025-02-14T23:45:51.193+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        create table members (
            user_id varchar(255) not null,
            created_at timestamp(6),
            updated_at timestamp(6),
            password varchar(255) not null,
            user_name varchar(255) not null,
            primary key (user_id)
        )
    Hibernate:
        create table members (
            user_id varchar(255) not null,
            created_at timestamp(6),
            updated_at timestamp(6),
            password varchar(255) not null,
            user_name varchar(255) not null,
            primary key (user_id)
        )
    2025-02-14T23:45:51.224+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        alter table if exists member_roles
           add constraint FKkrahbaoj05n0hyabejnnrmft
           foreign key (user_id)
           references members
    Hibernate:
        alter table if exists member_roles
           add constraint FKkrahbaoj05n0hyabejnnrmft
           foreign key (user_id)
           references members
    2025-02-14T23:45:51.242+09:00  INFO 99945 --- [member-service-test] [    Test worker] j.LocalContainerEntityManagerFactoryBean : Initialized JPA EntityManagerFactory for persistence unit 'default'
    2025-02-14T23:45:51.723+09:00  INFO 99945 --- [member-service-test] [    Test worker] .m.t.i.r.MemberRepositoryIntegrationTest : Started MemberRepositoryIntegrationTest in 5.01 seconds (process running for 74.544)
    2025-02-14T23:45:51.942+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:51.963+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:52.003+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    2025-02-14T23:45:52.033+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:52.180+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:52.188+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:52.195+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    2025-02-14T23:45:52.203+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:52.284+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        update
            members
        set
            created_at=?,
            password=?,
            updated_at=?,
            user_name=?
        where
            user_id=?
    Hibernate:
        update
            members
        set
            created_at=?,
            password=?,
            updated_at=?,
            user_name=?
        where
            user_id=?
    2025-02-14T23:45:52.312+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    2025-02-14T23:45:52.318+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:52.367+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    2025-02-14T23:45:52.394+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:52.400+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:52.404+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    2025-02-14T23:45:52.408+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:52.437+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:52.444+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:52.453+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?